package com.blueland.bpm.engine.core.service;

import java.util.Map;

import com.blueland.bpm.engine.core.model.ProcessInputModel;
import com.blueland.bpm.engine.util.WorkFlowException;
/**
 * 流程执行Service
 * @version:  1.0
 * @author lw 
 */
public interface ProcessExecuteService  extends ActivitiService{
	/**
	 * 流程执行接口
	 * @param processInputModel
	 * @return Map<String,Object>
	 */
	public Map<String,Object> nextExecute(ProcessInputModel processInputModel)throws WorkFlowException;

	public static String  EXECUTE_STATUS_SUCCESS="SUCCESS";
	public static String  EXECUTE_STATUS_ERROR="ERROR";
	
}
