<%@page import="com.blueland.bpm.log.model.*" %>
<%@page import="com.blueland.bpm.common.page.*" %>
<%@page import="java.util.*" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib tagdir="/WEB-INF/tags/simpletable" prefix="simpletable"%>
<%@ include file="/commons/taglibs.jsp" %>
<%
String path = request.getContextPath();
String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<%@ include file="/commons/meta.jsp" %>
	<base href="<%=basePath%>">
	<title>EsbMsgLog管理</title>
	<link href="${ctx_js_plugins}/simpletable/simpletable.css" type="text/css" rel="stylesheet">
	<script type="text/javascript" src="${ctx_js_plugins}/simpletable/simpletable.js"></script>

	<script type="text/javascript" >
		$(document).ready(function() {
			// 分页需要依赖的初始化动作
			window.simpleTable = new SimpleTable('queryForm',${page.thisPageNumber},${page.pageSize},'${pageRequest.sortColumns}');
		});
	</script>
</head>
<body>
	<%@ include file="/commons/messages.jsp" %>
	<form id="queryForm" name="queryForm" action="${ctx}/esbMsgLog/list.do" method="get" style="display: inline;">
			
		<div class="panel panel-primary">
			<div class="panel-heading">
				节点管理
			</div>
			<div class="panel-body">
				<div class="form-group well well-sm">
					<table width="100%" border="0" cellspacing="0" cellpadding="0" class="table-search">
						<tr>	
							<td>节点名称：</td>		
							<td>
								<input  class="input" value="" id="title" name="title" maxlength="1000"  />
							</td>
							
						</tr>
						
							
						<tr>
							<td colspan="7">
								<input value="查询"  type="submit" class="btn btn-xs btn-primary" onclick="getReferenceForm(this).action='${ctx}/esbMsgLog/list.do'"/>
								<input value="新增"  type="submit" class="btn btn-xs btn-primary" onclick="getReferenceForm(this).action='${ctx}/esbMsgLog/list.do'"/>
								<input value="删除"  type="button" class="btn btn-xs btn-danger" onclick="batchDelete('${ctx}/esbMsgLog/delete.do','items',document.forms.queryForm)"/>
							</td>
						</tr>
					</table>
				</div>
			
			<div class="row">
				<div class="col-xs-12">
					<div class="table-responsive">
						<table id="sample-table-1" class="table table-striped table-bordered table-hover">
					<thead>
					  <tr>
						<th style="width:25px;"><input type="checkbox" onclick="setAllCheckboxState('items',this.checked)"></th>
						<!-- 排序时为th增加sortColumn即可,new SimpleTable('sortColumns')会为tableHeader自动增加排序功能; -->
						<th style="width:150px;" sortColumn="title">节点名称</th>
						<th style="width:150px;" sortColumn="xmlContent">域名(IP)</th>
						<th style="width:100px;" sortColumn="status">服务状态</th>
						<th style="width:100px;" sortColumn="createTime">创建时间</th>
						<th style="width:250px;" sortColumn="appId" >备注</th>
					  </tr>
					</thead>
				<tbody>
		  
			  <tr class="">
				
				<td><input type="checkbox" name="items" value="logId=&"></td>
				<td><a>集团</a>&nbsp;</td>
				<td>tam.hngytobacco.com(x.x.x.x)</td>
				<td><span class="label label-success">运行中</span>&nbsp;</td>
				<td>2015-04-15&nbsp;</td>
				<td>&nbsp;</td>
				
			  </tr>
			   <tr class="">
				
				<td><input type="checkbox" name="items" value="logId=&"></td>
				<td><a>四平</a>&nbsp;</td>
				<td>sp.hngytobacco.com(x.x.x.x)</td>
				<td><span class="label label-warning">已停止</span>&nbsp;</td>
				<td>2016-06-15&nbsp;</td>
				<td>&nbsp;</td>
				
			  </tr>
			   <tr class="">
				
				<td><input type="checkbox" name="items" value="logId=&"></td>
				<td><a>郴州</a>&nbsp;</td>
				<td>cz.hngytobacco.com(x.x.x.x)</td>
				<td><span class="label label-danger">未发布</span>&nbsp;</td>
				<td>2016-06-15&nbsp;</td>
				<td>&nbsp;</td>
				
			  </tr>
			  
				</tbody>
				</table>
				
			</div>
						<!-- /.table-responsive -->
					</div>
					<!-- /span -->
				</div>
			</div>
		</div>
		</form>
</body>
</html>	
