
<%@ page contentType="text/html;charset=UTF-8" %>
<%@page import="java.util.*" %>
<%@ taglib tagdir="/WEB-INF/tags/simpletable" prefix="simpletable"%>
<%@ include file="/commons/taglibs.jsp" %>
<%
	String path = request.getContextPath();
	String basePath = request.getScheme() + "://"
			+ request.getServerName() + ":" + request.getServerPort()
			+ path + "/";
%>
<!DOCTYPE html>
<html lang="zh">
	<head>
		<%@ include file="/commons/meta.jsp" %>
		<link rel="icon" href="${ctx }/resource/css/images/favicon.ico" type="image/x-icon">
		<title>BPMC流程中心</title>
	</head>
	<script>
		$(function(){
			document.onkeydown = function(e){ 
			    var ev = document.all ? window.event : e;
			    if(ev.keyCode==13) {
			    	login();
			    }
			}
		}); 

	
		function login(){
			jQuery.ajax({
				type : "POST",
				url : "${ctx}/pages/user/login.do",
				data : $('#form-login').serialize(),
				dataType : "text",
				success : function(resp) {
					if(resp == "操作成功"){
						location = "${ctx}/index.do";
					}else{
						alert(resp);
					}
				}
			});
		}
	</script>

	<body class="login-layout light-login">
		<div class="main-container">
			<div class="main-content">
				<!-- <div class="row"> -->
					<!-- <div class="col-sm-10 col-sm-offset-1"> -->
						<div class="login-container">
							<!-- <div class="center">
								<h1>
									<i class="icon-leaf green"></i>
									<span class="red">统一流程平台</span>
								</h1>
							</div> -->

							<!-- <div class="space-6"></div> -->

							<div class="position-relative">
								<div id="login-box" class="login-box visible widget-box no-border">
									<div class="widget-body">
										<div class="widget-main">
										<div class="center">
											<h1>
												<!-- <i class="icon-leaf green"></i> -->
												<img alt="" src="${ctx }/resource/css/images/login-logo.png">
												<span class="red">流程中心</span>
											</h1>
										</div>
											<h4 class="header blue lighter bigger">
												<i class="icon-coffee green"></i>
												请输入您的用户名及密码
											</h4>

											<div class="space-6"></div>

											<form id="form-login" action="pages/user/login.do" method="post">
												<fieldset>
													<label class="block clearfix">
														<span class="block input-icon input-icon-right">
															<input type="text" class="form-control" name="userId" value="${userId}"  placeholder="用户名" />
															<i class="icon-user"></i>
														</span>
													</label>

													<label class="block clearfix">
														<span class="block input-icon input-icon-right">
															<input type="password" name="password" class="form-control" placeholder="密&nbsp;&nbsp;码" />
															<i class="icon-lock"></i>
														</span>
													</label>

													<div class="space"></div>

													<div class="clearfix">
														
														<button type="button" class="width-35 pull-right btn btn-sm btn-primary" onclick="login();">
															<i class="icon-key"></i>
															登录
														</button>
													</div>

													<div class="space-4"></div>
												</fieldset>
											</form>

											<!-- <div class="social-or-login center">
												<span class="bigger-110"></span>
											</div> -->

											<div class="social-login center">
												
											</div>
										</div><!-- /widget-main -->

										<!-- <div class="toolbar clearfix">
											<div>
												<a href="#" onclick="show_box('forgot-box'); return false;" class="forgot-password-link">
													
												</a>
											</div>

											<div>
												<a href="#" onclick="show_box('signup-box'); return false;" class="user-signup-link">
													
												</a>
											</div>
										</div> -->
									</div><!-- /widget-body -->
								</div><!-- /login-box -->

							</div><!-- /position-relative -->
						</div>
					<!-- </div> --><!-- /.col -->
				<!-- </div> --><!-- /.row -->
			</div>
		</div><!-- /.main-container -->
</body>
</html>
