<%@page import="com.blueland.bpm.engine.config.model.*"%>
<%@page import="com.blueland.bpm.common.page.*"%>
<%@page import="com.blueland.bpm.common.util.*"%>
<%@page import="java.util.*"%>
<%@ page contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib tagdir="/WEB-INF/tags/simpletable" prefix="simpletable"%>
<%@ include file="/commons/taglibs.jsp"%>
<%
	String path = request.getContextPath();
	String basePath = request.getScheme() + "://"
			+ request.getServerName() + ":" + request.getServerPort()
			+ path + "/";
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<%@ include file="/commons/meta.jsp"%>
<base href="<%=basePath%>">
<title>环节配置</title>
	<link href="${ctx_js_plugins}/simpletable/simpletable.css" type="text/css" rel="stylesheet">
	<script type="text/javascript" src="${ctx_js_plugins}/simpletable/simpletable.js"></script>


<script type="text/javascript">
		$(document).ready(function() {
			// 分页需要依赖的初始化动作
			window.simpleTable = new SimpleTable('queryForm',${page.thisPageNumber},${page.pageSize},'${pageRequest.sortColumns}');
		});
		
	</script>
</head>
<body>
	<%@ include file="/commons/messages.jsp"%>
	<form id="queryForm" name="queryForm"
		action="${ctx}/activityInfo/list.do" method="get"
		style="display: inline;">
		<input name="processDefId" id="processDefId"
			value="${query.processDefId }" type="hidden" />

		<div class="main-container" id="main-container">
			<div class="panel panel-primary">
				<div class="panel-heading"></div>
				<div class="panel-body" style="padding: 3px;">
					<div class="well well-sm" style="margin-bottom: 2px;">

						<table border="0" cellspacing="0" cellpadding="0"
							class="table-search">
							<tr>
								<td>环节ID：</td>
								<td><input value="${query.activityDefId}"
									id="activityDefId" name="activityDefId" maxlength="100" /></td>
								<td>环节名称：</td>
								<td><input value="${query.activityDefName}"
									id="activityDefName" name="activityDefName" maxlength="100" />
								</td>
								<td>
									<button type="submit" class="btn btn-xs btn-primary">查&nbsp;&nbsp;询</button>
								</td>

							</tr>

						</table>
					</div>
					<div class="row">
						<div class="col-xs-12">
							<div class="table-responsive">
								<table id="sample-table-1"
									class="table table-striped table-bordered table-hover">
									<thead>

										<tr>
											<th style="width: 40px">序列</th>

											<!-- 排序时为th增加sortColumn即可,new SimpleTable('sortColumns')会为tableHeader自动增加排序功能; -->
											<th style="width: 150px" sortColumn="activityDefId">环节ID</th>
											<th style="width: 150px" sortColumn="activityDefName">环节名称</th>
											<th style="width: 150px" sortColumn="activityPageUrl">环节表单</th>
											<th style="width: 60px" sortColumn="activityOperationRoleid">绑定权限</th>

											<th style="width: 100px">操作</th>
										</tr>
									</thead>
									<tbody>

										<c:forEach items="${page.result}" var="item"
											varStatus="status">

											<tr class="${status.count % 2 == 0 ? 'odd' : 'even'}">

												<td>${status.count}&nbsp;</td>
												<td>${item.activityDefId}&nbsp;</td>
												<td>${item.activityDefName}&nbsp;</td>
												<td>${item.activityPageUrl}&nbsp;</td>
												<td>${item.activityOperationRoleid==null?'否':'是'}&nbsp;</td>
												<td>
													<button data-toggle="dropdown"
														onclick="showDiaLogByParent('${ctx}/activityInfo/main.do?activityDefId=${item.activityDefId}&processDefId=${item.processDefId}','${item.activityDefName}(${item.activityDefId})-环节配置','980px','600px')"
														class="btn btn-info btn-sm dropdown-toggle">
														配置</span>
													</button>
													<!-- 
													<div class="btn-group">
														<button data-toggle="dropdown"
															class="btn btn-info btn-sm dropdown-toggle">
															操作 <span class="ace-icon fa fa-caret-down icon-on-right"></span>
														</button>
														<ul class="dropdown-menu dropdown-info dropdown-menu-right">
															<li><a id="actDefInfo"
																onclick="showDiaLog('${ctx}/activityInfo/edit.do?activityDefId=${activityInfoConfig.activityDefId}&processDefId=${activityInfoConfig.processDefId}','环节基础信息','900px','640px');"
																href="javascript:void(0);">环节基础信息</a></li>
															<li><a id="actDefUser" href="javascript:void(0);"
																onclick="showDiaLog('${ctx}/actInfo/setActResource/list.do?actId=${activityInfoConfig.activityDefId}&procDefId=${activityInfoConfig.processDefId}','环节人员分配','900px','640px');">环节人员分配</a></li>
															<li><a id="actDefUser" href="javascript:void(0);"
																onclick="showDiaLog('${ctx}/actInfo/sequenceFlow/list.do?actId=${activityInfoConfig.activityDefId}&procDefId=${activityInfoConfig.processDefId}','环节输出线配置','900px','640px');">环节输出线配置</a></li>
															<li><a id="actDefOperate" href="javascript:void(0);"
																onclick="showDiaLog('${ctx}/activityInfo/actOperatePowerList.do?activityDefId=${activityInfoConfig.activityDefId}&processDefId=${activityInfoConfig.processDefId}','环节操作权限','900px','640px');">环节操作权限</a>
															<li><a id="actDefVar" href="javascript:void(0);"
																onclick="showDiaLog('${ctx}/activityInfo/edit.do?activityDefId=${activityInfoConfig.activityDefId}&processDefId=${activityInfoConfig.processDefId}','环节变量配置','900px','640px')">环节变量配置</a></li>
															<li><a id="actDefUser" href="javascript:void(0);"
																onclick="showDiaLog('${ctx}/activityUserConfig/list.do?actId=${activityInfoConfig.activityDefId}&procDefId=${activityInfoConfig.processDefId}','环节通知配置','900px','640px')">环节通知配置</a></li>

														</ul>
													</div> -->
												</td>
											</tr>

										</c:forEach>
									</tbody>
								</table>
								<simpletable:pageToolbar page="${page}">
								</simpletable:pageToolbar>
							</div>
							<!-- /.table-responsive -->
						</div>
						<!-- /span -->
					</div>
				</div>
			</div>

		</div>
	</form>
</body>
</html>
