<%@page import="com.blueland.bpm.log.model.*" %>
<%@page import="com.blueland.bpm.common.page.*" %>
<%@page import="com.blueland.bpm.common.util.*"%> 
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib tagdir="/WEB-INF/tags/simpletable" prefix="simpletable"%>
<%@ include file="/commons/taglibs.jsp" %>
<%
String path = request.getContextPath();
String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<%@ include file="/commons/meta.jsp" %>
	<base href="<%=basePath%>">
	<title>流程重发日志管理</title>
	<link href="${ctx_js_plugins}/simpletable/simpletable.css" type="text/css" rel="stylesheet">
	<script type="text/javascript" src="${ctx_js_plugins}/simpletable/simpletable.js"></script>


	<script type="text/javascript" >
		$(document).ready(function() {
			// 分页需要依赖的初始化动作
			window.simpleTable = new SimpleTable('queryForm','${page.thisPageNumber}','${page.pageSize}','${pageRequest.sortColumns}');
		});
	</script>
</head>
<body>
	<%@ include file="/commons/messages.jsp" %>
	<form id="queryForm" name="queryForm" action="${ctx}/processRetryLog/list.do" method="get" style="display: inline;">
			<h4 class="title-1">
				<i class="icon menu-5"></i>流程重发日志管理
			</h4>
			
			<div class="bd">
			<div class="pd5">

				<table border="0" cellspacing="0" cellpadding="0"
					class="table-search">

					<tr>	
						<td>流程实例ID：</td>		
						<td>
							<input  class="input" value="${query.processInstanceId}" id="processInstanceId" name="processInstanceId" maxlength="50"  />
						</td>
						<td>流程标题：</td>		
						<td>
							<input  class="input" value="${query.processTitle}" id="processTitle" name="processTitle" maxlength="500"  />
						</td>
						<td>流程发送人：</td>		
						<td>
							<input  class="input" value="${query.creator}" id="creator" name="creator" maxlength="50"  />
						</td>
						<td>流程操作类型：</td>		
						<td>
							<input  class="input" value="${query.actionType}" id="actionType" name="actionType" maxlength="30"  />
						</td>
					</tr>	
					<tr>	
						<td>流程消息内容：</td>		
						<td>
							<input  class="input" value="${query.retryMsg}" id="retryMsg" name="retryMsg" maxlength="4000"  />
						</td>
						<td>重发操作人：</td>		
						<td>
							<input  class="input" value="${query.prlogOperator}" id="prlogOperator" name="prlogOperator" maxlength="50"  />
						</td>
						<td>重发状态：</td>		
						<td>
							<input  class="input" value="${query.prlogStatus}" id="prlogStatus" name="prlogStatus" maxlength="10"  />
						</td>
						<td>重发时间：</td>		
						<td>
							<input  class="input"  value="${query.prlogCreateTimeString}" onclick="WdatePicker({dateFmt:'<%=ProcessRetryLog.FORMAT_PRLOG_CREATE_TIME%>'})" id="prlogCreateTimeString" name="prlogCreateTimeString"   />
							
						</td>
					</tr>	
					<tr>	
						<td>备注：</td>		
						<td>
							<input  class="input" value="${query.prlogReamrk}" id="prlogReamrk" name="prlogReamrk" maxlength="500"  />
						</td>
					</tr>	
					<tr>
						<td colspan="7">
							<input value="查询"  type="submit" class="btn btn-search" onclick="getReferenceForm(this).action='${ctx}/processRetryLog/list.do'"/>
							<input value="新增"  type="submit" class="btn btn-search" onclick="getReferenceForm(this).action='${ctx}/processRetryLog/create.do'"/>
							<input value="删除"  type="button" class="btn btn-search" onclick="batchDelete('${ctx}/processRetryLog/delete.do','items',document.forms.queryForm)"/>
							
						</td>
					</tr>
				</table>
			</div>
			<div class="line-sep"></div>
			<table class="table-1">
				  <tr>
					<th style="width:25px;"><input type="checkbox" onclick="setAllCheckboxState('items',this.checked)"></th>
					<!-- 排序时为th增加sortColumn即可,new SimpleTable('sortColumns')会为tableHeader自动增加排序功能; -->
					<th sortColumn="processInstanceId" >流程实例ID</th>
					<th sortColumn="processTitle" >流程标题</th>
					<th sortColumn="creator" >流程发送人</th>
					<th sortColumn="actionType" >流程操作类型</th>
					<th sortColumn="retryMsg" >流程消息内容</th>
					<th sortColumn="prlogOperator" >重发操作人</th>
					<th sortColumn="prlogStatus" >重发状态</th>
					<th sortColumn="prlogCreateTime" >重发时间</th>
					<th sortColumn="prlogReamrk" >备注</th>
		
					<th>操作</th>
				  </tr>
	
		  
				   <c:forEach items="${page.result}" var="item" varStatus="status">
		  	  
			  <tr class="${status.count % 2 == 0 ? 'odd' : 'even'}">
				
				<td><input type="checkbox" name="items" value="prlogId=${item.prlogId}&"></td>
				
				<td>${item.processInstanceId}&nbsp;</td>
				<td>${item.processTitle}&nbsp;</td>
				<td>${item.creator}&nbsp;</td>
				<td>${item.actionType}&nbsp;</td>
				<td>${item.retryMsg}&nbsp;</td>
				<td>${item.prlogOperator}&nbsp;</td>
				<td>${item.prlogStatus}&nbsp;</td>
				<td>${item.prlogCreateTimeString}&nbsp;</td>
				<td>${item.prlogReamrk}&nbsp;</td>
				<td>
					<a href="${ctx}/processRetryLog/show.do?prlogId=${item.prlogId}&">查看</a>&nbsp;&nbsp;&nbsp;
					<a href="${ctx}/processRetryLog/edit.do?prlogId=${item.prlogId}&">修改</a>
				</td>
			  </tr>
			  
		  	  </c:forEach>
				</table>
				<simpletable:pageToolbar page="${page}">
				</simpletable:pageToolbar>
			</div>
		</form>
</body>
</html>	
