<%@page import="com.blueland.bpm.engine.config.model.*" %>
<%@page import="com.blueland.bpm.common.page.*" %>
<%@page import="java.util.*" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib tagdir="/WEB-INF/tags/simpletable" prefix="simpletable"%>
<%@ include file="/commons/taglibs.jsp" %>
<%
String path = request.getContextPath();
String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<%@ include file="/commons/meta.jsp" %>
	<base href="<%=basePath%>">
	<title>资源管理列表</title>
	<link href="${ctx}/resource/js/plugins/loadmask/jquery.loadmask.css" rel="stylesheet" type="text/css" />
	<script type='text/javascript' src='${ctx}/resource/js/plugins/loadmask/jquery.loadmask.js'></script> 


	<script type="text/javascript" >	
		function query(){
			setMask("main-container");				
			document.getElementById("queryForm").submit();
		}
	</script>
	
</head>
<body>
	<%@ include file="/commons/messages.jsp"%>
	<form id="queryForm" name="queryForm"
		action="${ctx}/searchProcessResource/errorlist.do" method="get"
		style="display: inline;">
		<div class="main-container" id="main-container">
			
			<div class="panel panel-primary">
			
				<div class="panel-heading">
					流程资源迁移
				</div>
				
				<div class="panel-body" id="panel-body" style="padding:3px;">
					<div class="well well-sm" style="margin-bottom: 2px;">
					<div class="alert alert-block alert-info">
									<button type="button" class="close" data-dismiss="alert">
										<i class="ace-icon fa fa-times"></i>
									</button>
									请点击查询按钮来核查当前租户下已发布的流程环节绑定的失效角色、人员、组织数据，并根据实际的情况进行重新绑定！<br/>由于检索数据较多，查询会有些慢，请耐心等待！&nbsp;&nbsp;
								</div>
					<tr>
						<td>
							<button type="button" id="process" onclick="query();"
										class="btn btn-xs btn-primary">查&nbsp;&nbsp;询
										<i class="ace-icon fa fa-search bigger-110"></i></button>
						</td>
					</tr>
						
				</div>
			
			<div class="row">
				<div class="col-xs-12">
					<div class="table-responsive">
						<table id="sample-table-1" class="table table-striped table-bordered table-hover">
					<thead>
					 <tr>
<!-- 						<th></th> -->
						<!-- 排序时为th增加sortColumn即可,new SimpleTable('sortColumns')会为tableHeader自动增加排序功能; -->
						<th sortColumn="procDefName" width="300px">流程名称</th>
						<th sortColumn="procDefName" width="80px">流程状态</th>
						<th  sortColumn="activityName" width="250px">环节名称</th>
						<th sortcolumn="activityName">失效的角色资源</th>
						<th  sortColumn="activityName" width="180px">失效的人员</th>
						<th   sortColumn="activityName" width="180px">失效的组织</th>
					  </tr>
					  
					</thead>
				<tbody>
		  
		   		<c:forEach items="${inProcess}" var="item" varStatus="status">
		   			<tr>
						<td>
						${item.procDefName}
						</td>
						<td>
							<c:choose>
									<c:when test="${item.processMgrState=='RELEASE'}">
										<span class="label label-success">已发布</span>
										</c:when>
										<c:when test="${item.processMgrState=='UPDATE'}">
										<span class="label label-yellow">修订中</span>
										</c:when>
										<c:otherwise><span class="label label-danger">未发布</span></c:otherwise>
								   </c:choose>
						</td>
						<td><a id="activityName" href="javascript:void(0)" 
							onclick="showDiaLog('${ctx}/actInfo/setActResource/list.do?opDataSource=true&actId=${item.activityId}&procDefId=${item.procDefId}',
							'环节人员设置&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;当前环节->资源管理列表',dialogWidth='980px',dialogHeight='600px')">${item.activityName}&nbsp;</a>
						</td>
						<td>
						<c:forEach items="${item.errorRoleMap}" var="errorRoleMap" varStatus="status">
							<c:choose>
								<c:when test="${fn:length(errorRoleMap.value.errorUserRoles)>0}">
									<a href="javascript:void(0);" onclick="showDiaLog('${ctx}/pages/role_user_select.jsp?showTreeType=USER&roleId=${errorRoleMap.key.roleId}&roleErrorMsg=${errorRoleMap.value.info}', '角色关联成员列表--${errorRoleMap.key.roleName}', '800px', '600px');">
									角色[${errorRoleMap.key.roleName}]<br/>
									</a>
									${errorRoleMap.value.info}<br/>
								</c:when>
								<c:otherwise>${errorRoleMap.value.info}<br/></c:otherwise>
							</c:choose>
						</c:forEach>
						</td>
						<td>
						<c:forEach items="${item.errorUsers}" var="errorUser" varStatus="status">
						${errorUser}<br/>
						</c:forEach>
						</td>
						<td>
						<c:forEach items="${item.errorOrgs}" var="errorOrg" varStatus="status">
						${errorOrg}<br/>
						</c:forEach>
						</td>

					</tr>
		  	  </c:forEach>
				</tbody>
				</table>
									
			</div>
					</div>
				</div>
			</div>
		</div>
		</div>
		</form>
</body>
</html>	
