<%@page import="org.activiti.engine.repository.ProcessDefinition" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib tagdir="/WEB-INF/tags/simpletable" prefix="simpletable"%>
<%@ include file="/commons/taglibs.jsp" %>
<%
	String path = request.getContextPath();
	String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<%@ include file="/commons/meta.jsp" %>
	<base href="<%=basePath%>">
	<title>流程运行统计(年)</title>
	<script type="text/javascript" src="${ctx }/resource/js/jquery-1.8.3.min.js"></script>
	<script src="${ctx}/resource/js/plugins/highcharts/highcharts.js"></script>
	<script src="${ctx}/resource/js/plugins/highcharts/modules/exporting.js"></script>
	<script src="${ctx}/resource/js/common/processReport.js"></script>
	<script type='text/javascript' src='${ctx}/resource/js/plugins/loadmask/jquery.loadmask.js'></script>
	<script type="text/javascript">
		function query(){
			setMask("main-container");
			document.getElementById("queryForm").submit();
		}
	</script>
</head>
<body>
<form id="queryForm" name="queryForm" action="${ctx}/sysMgr/appProcessLogByYear.do" method="post" style="display: inline;">
	<div class="main-container" id="main-container">
		<div class="panel panel-primary">
			<div class="panel-heading"><h8>流程运行统计(年)</h8></div>
			<div class="panel-body">
				<div class="form-group well well-sm">
					<table border="0" cellspacing="0" cellpadding="0" class="table-search">
						<tr>
							<td>应用名称：</td>
							<td>
								<select name="appId">
									<option value="">--请选择--</option>
									<c:forEach items="${applicationList}" var="item">
										<option ${params.appId==item.appId?"selected":""} value="${item.appId }">${item.appName}</option>
									</c:forEach>
								</select>
							</td>
							<td width="50px">年份：</td>
							<td width="100px"><input value="${params.searchYear}" id="searchYear" name="searchYear" onClick="WdatePicker({dateFmt:'yyyy'})" autocomplete="off"/></td>
							<td>
								<button type="button" class="btn btn-xs btn-primary" onclick="query();">
									统计<i class="ace-icon fa fa-bar-chart-o bigger-110"></i>
								</button>
							</td>
						</tr>
					</table>
				</div>
				<div class="row">
					<div class="col-xs-12">
						<c:if test="${total != 0}">
							<div class="table-responsive">
								<div id="processDefBar" style="height: 600px; margin: 0 auto"></div>
								<script>
									getReportDataByZxt("processDefBar","按应用及时间统计","${params.searchYear}年各应用一共调用 ${total}次流程服务","${row}","${column}",'运行个数');
								</script>
							</div>
						</c:if>
						<c:if test="${total == 0}">
							<div class="table-responsive">
								<div style="text-align:center">
									<font style="font-size:20px">按应用及时间统计</font><br/><br/>
									<font style="font-size:15px">${params.searchYear}年各应用一共调用 ${total}次流程服务</font><br/>
									<img src="${ctx}/resource/images/noData.jpg" style="width:80%;height:500px"/>
								</div>
							</div>
						</c:if>
					</div>
				</div>
			</div>
		</div>
	</div>
</form>
</body>
</html>	

