<%@page import="com.blueland.bpm.engine.config.model.*" %>
<%@page import="com.blueland.bpm.common.util.*" %>
<%@page import="java.util.*" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib tagdir="/WEB-INF/tags/simpletable" prefix="simpletable"%>
<%@ include file="/commons/taglibs.jsp" %>
<%
String path = request.getContextPath();
String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<%@ include file="/commons/meta.jsp" %>
	<base href="<%=basePath%>">
	<title>脚本管理</title>
	<link href="${ctx_js_plugins}/simpletable/simpletable.css" type="text/css" rel="stylesheet">
	<script type="text/javascript" src="${ctx_js_plugins}/simpletable/simpletable.js"></script>

	<script type="text/javascript" >
		$(document).ready(function() {
			// 分页需要依赖的初始化动作
			window.simpleTable = new SimpleTable('queryForm',${page.thisPageNumber},${page.pageSize},'${pageRequest.sortColumns}');
		});
	</script>
</head>
<body>
	<%@ include file="/commons/messages.jsp" %>
	<form id="queryForm" name="queryForm" action="${ctx}/sysScript/list.do" method="get" style="display: inline;">
		<div class="main-container" id="main-container">
		<div class="panel panel-primary">
			<div class="panel-heading">
				<h8>全局脚本管理</h8>
			</div>
			<div class="panel-body">
				<div class="well well-sm" style="margin-bottom: 2px;">
				<table border="0" cellspacing="0" cellpadding="0"
					class="table-search">
					<tr>	
						<td>脚本名称：</td>		
						<td>
							<input  value="${query.scriptName}" id="scriptName" name="scriptName" maxlength="50"  />
						</td>
						
						<td>脚本分类：</td>		
						<td>
							<td>
						<select name="scriptType" id="scriptType">
							<option value="">--请选择--</option>
				    		<c:forEach items="${query.scriptTypeMap}" var="item">
								<option ${query.scriptType==item.key?"selected":""} value="${item.key }">${item.value}</option>
							</c:forEach>
						</select>
					</td>
						</td>
					</tr>	
					<tr>
						<td colspan="7">
							<button type="submit" class="btn btn-xs btn-primary">查&nbsp;&nbsp;询
							<i class="ace-icon fa fa-search bigger-110"></i>
							</button>
							<button type="submit" onclick="getReferenceForm(this).action='${ctx}/sysScript/create.do'"  class="btn btn-xs btn-success">
								新&nbsp;&nbsp;增
								<i class="ace-icon fa fa-plus bigger-110"></i>
							</button>
							<button type="button" onclick="batchDelete('${ctx}/sysScript/delete.do','items',document.forms.queryForm)" class="btn btn-xs btn-danger">
								删&nbsp;&nbsp;除
								<i class="ace-icon fa fa-trash-o bigger-110"></i>
							</button>
						</td>
					</tr>
				</table>
			</div>
			<div class="row">
					<div class="col-xs-12">
						<div class="table-responsive">
							<table id="sample-table-1"
								class="table table-striped table-bordered table-hover">
								<thead>
			
				  <tr>
					<th style="width:25px;"><input type="checkbox" onclick="setAllCheckboxState('items',this.checked)"></th>
					<!-- 排序时为th增加sortColumn即可,new SimpleTable('sortColumns')会为tableHeader自动增加排序功能; -->
					<th width="200px" sortColumn="scriptName" >脚本名称</th>
					<th width="80px" sortColumn="scriptType" >脚本分类</th>
					<th sortColumn="scriptContent" >脚本内容</th>
					<th sortColumn="scriptRemark" >备注</th>
					<th>操作</th>
				  </tr>
</thead>
<tbody>
		  
				  <c:forEach items="${page.result}" var="item" varStatus="status">
					  <tr class="${status.count % 2 == 0 ? 'odd' : 'even'}">
						<td><input type="checkbox" name="items" value="scriptId=${item.scriptId}&"></td>
						<td>${item.scriptName}&nbsp;						</td>
						<td>${item.scriptTypeVal}&nbsp;						</td>
						<td>${item.scriptContent}&nbsp;						</td>
						<td>${item.scriptRemark}&nbsp;						</td>
						<td>
							<a href="${ctx}/sysScript/edit.do?scriptId=${item.scriptId}&">修改</a>
						</td>
					  </tr>
		  	 	 </c:forEach>
					</tbody>
				</table>
				<simpletable:pageToolbar page="${page}">
				</simpletable:pageToolbar>
			</div>
						<!-- /.table-responsive -->
					</div>
					<!-- /span -->
				</div>
			</div>
		</div>
	</div>
		</form>
</body>
</html>	
