<%@page import="com.blueland.bpm.log.model.*" %>
<%@page import="com.blueland.bpm.common.page.*" %>
<%@page import="java.util.*" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib tagdir="/WEB-INF/tags/simpletable" prefix="simpletable"%>
<%@ include file="/commons/taglibs.jsp" %>
<%
	String path = request.getContextPath();
	String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<%@ include file="/commons/meta.jsp" %>
	<base href="<%=basePath%>">
	<title>用户操作日志</title>
	<link href="${ctx_js_plugins}/simpletable/simpletable.css" type="text/css" rel="stylesheet">
	<script type="text/javascript" src="${ctx_js_plugins}/simpletable/simpletable.js"></script>

	<script type="text/javascript" >
		$(document).ready(function() {
			// 分页需要依赖的初始化动作
			window.simpleTable = new SimpleTable('queryForm',${page.thisPageNumber},${page.pageSize},'${pageRequest.sortColumns}');
		});
	</script>
</head>
<body>
<%@ include file="/commons/messages.jsp" %>
<form id="queryForm" name="queryForm" action="${ctx}/tlogUserOperate/list.do" method="get" style="display: inline;">
	<div class="main-container" id="main-container">
		<div class="panel panel-primary">
			<div class="panel-heading">
				用户操作日志列表
			</div>
			<div class="panel-body">
				<div class="form-group well well-sm">
					<table width="100%" border="0" cellspacing="0" cellpadding="0" class="table-search">
						<tr>
							<td>操作用户：</td>
							<td>
								<input  class="input" value="${query.logUserName}" id="logUserName" name="logUserName" maxlength="50"  />
							</td>
							<td>操作时间：</td>
							<td>
								<!-- <input  class="input"  value="${query.logOperateTimeString}" onclick="WdatePicker({dateFmt:'<%=TlogUserOperate.FORMAT_LOG_OPERATE_TIME%>'})" id="logOperateTimeString" name="logOperateTimeString"   />-->
								从<input  class="input"  value="${startOperateTimeStr}" onclick="WdatePicker({dateFmt:'yyyy-MM-dd'})" id="startOperateTimeStr" name="startOperateTimeStr"   />
								到<input  class="input"  value="${endOperateTimeStr}" onclick="WdatePicker({dateFmt:'yyyy-MM-dd'})" id="endOperateTimeStr" name="endOperateTimeStr"   />
							</td>
							<td>所属系统：</td>
							<td>
								<input  class="input" value="${query.logAppName}" id="logAppName" name="logAppName" maxlength="50"  />
							</td>
							<td>
								<button type="button" onclick="getReferenceForm(this).action='${ctx}/tlogUserOperate/list.do'" class="btn btn-xs btn-primary">
									查&nbsp;&nbsp;询
									<i class="ace-icon fa fa-search bigger-110"></i>
								</button>
								<%-- <input value="查询"  type="submit" class="btn btn-xs btn-primary" onclick="getReferenceForm(this).action='${ctx}/tlogUserOperate/list.do'"/> --%>
								<!-- <input value="新增"  type="submit" class="btn btn-xs btn-success" onclick="getReferenceForm(this).action='${ctx}/tlogUserOperate/create.do'"/>
								<input value="删除"  type="button" class="btn btn-xs btn-danger" onclick="batchDelete('${ctx}/tlogUserOperate/delete.do','items',document.forms.queryForm)"/> -->

							</td>
						</tr>
						<tr>
							<td>所属模块：</td>
							<td>
								<input  class="input" value="${query.logAppModuleName}" id="logAppModuleName" name="logAppModuleName" maxlength="50"  />
							</td>
							<td>操作事件：</td>
							<td>
								<input  class="input" value="${query.logOperateName}" id="logOperateName" name="logOperateName" maxlength="50"  />
							</td>

						</tr>
					</table>
				</div>

				<div class="row">
					<div class="col-xs-12">
						<div class="table-responsive">
							<table id="sample-table-1" class="table table-striped table-bordered table-hover">
								<thead>
								<tr>
									<!-- <th style="width:25px;"><input type="checkbox" onclick="setAllCheckboxState('items',this.checked)"></th>-->
									<!-- 排序时为th增加sortColumn即可,new SimpleTable('sortColumns')会为tableHeader自动增加排序功能; -->
									<th sortColumn="logUserName" >操作用户</th>
									<th sortColumn="logOperateTime" >发生时间</th>
									<th sortColumn="logAppName" >所属系统</th>
									<th sortColumn="logAppModuleName" >所属模块</th>
									<th sortColumn="logOperateName" >操作事件</th>
									<!-- 	<th>操作</th> -->
								</tr>
								</thead>
								<tbody>

								<c:forEach items="${page.result}" var="item" varStatus="status">

									<tr class="${status.count % 2 == 0 ? 'odd' : 'even'}" title="${item.logOperateSubjectKey}">

										<!-- <td><input type="checkbox" name="items" value="logId=${item.logId}&"></td> -->
										<td class="td">${item.logUserName}&nbsp;</td>
										<td class="td">${item.logOperateTimeString}&nbsp;</td>
										<td class="td">${item.logAppName}&nbsp;</td>
										<td class="td">${item.logAppModuleName}&nbsp;</td>
										<td class="td">${item.logOperateName}${item.logRemark}&nbsp;</td>
										<!-- 	<td>
					<a href="${ctx}/tlogUserOperate/show.do?logId=${item.logId}&">查看</a>&nbsp;&nbsp;&nbsp;
					<a href="${ctx}/tlogUserOperate/edit.do?logId=${item.logId}&">修改</a>
				</td> -->
									</tr>

								</c:forEach>
								</tbody>
							</table>
							<simpletable:pageToolbar page="${page}">
							</simpletable:pageToolbar>
						</div>
						<!-- /.table-responsive -->
					</div>
					<!-- /span -->
				</div>
			</div>
		</div>
	</div>
</form>
</body>
</html>	
