import Vue from 'vue'
import Router from 'vue-router'
import bpmnModel from './views/bpmnModel.vue'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'bpmnModel',
      component: bpmnModel
    },
    {
      path: '/bpmnModel',
      name: 'bpmnModel',
      component: () => import('@/views/bpmnModel.vue')
    },
    {
      path: '/viewProcessImage',
      name: 'viewProcessImage',
      component: () => import('@/views/processImage.vue')
    },
    {
      path: '/processMonitor',
      name: 'processMonitor',
      component: () => import('@/views/processMonitor.vue')
    }
    // {
    //   path: '/about',
    //   name: 'about',
    //   // route level code-splitting
    //   // this generates a separate chunk (about.[hash].js) for this route
    //   // which is lazy-loaded when the route is visited.
    //   component: () => import(/* webpackChunkName: "about" */ './views/About.vue')
    // },
    // {
    //   name: 'index',
    //   path: '/index',
    //   component: () => import('./layout/index.vue'),
    //   children: [{
    //     path: '/su',
    //     name: 'su',
    //     component: () => import('./modules/su.vue')
    //   }]
    // }
  ]
})
