package com.blueland.ebpm.engine.core.service;

import java.util.List;

import com.blueland.bpm.engine.core.service.ProcessTransitionFreeService;
import org.activiti.engine.ProcessEngineConfiguration;
import org.activiti.engine.impl.pvm.process.ActivityImpl;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ContextConfiguration;

import com.blueland.ebpm.engine.BaseWfServiceTest;
import org.springframework.test.context.junit4.SpringRunner;

@SpringBootTest
@RunWith(SpringRunner.class)
public class ProcessTransitionFreeServiceTest  extends BaseWfServiceTest{
	@Autowired
	protected ProcessEngineConfiguration processEngineConfiguration;
	@Test
	public void findBackAvtivity() {
		ProcessTransitionFreeService baseWfService = new ProcessTransitionFreeService(
				processEngineConfiguration);
		List<ActivityImpl> activityImpls=baseWfService.findBackAvtivity("d69af11d-aa8a-11ec-aba6-0242ac11000a");
		for (ActivityImpl activityImpl : activityImpls) {
			System.out.println("返回值："+activityImpl.getProperty("name"));
		}
	}
	
}
