package com.blueland.bpm.engine.util;

/**
 * @description 通用常量类
 * @author hanj
 */
public class CommonConstants {

    /**
     * 接口版本号
     */
    public final static String API_VERSION_V1 = "/v1";
    /**
     * request中的userId
     */
    public static final String USER_ID = "userId";
    /**
     * 鉴权请求头
     */
    public final static String HEADER_AUTHORIZATION = "Authorization";
    /**
     * 鉴权请求token前缀
     */
    public final static String HEADER_BEARER = "Bearer ";

}
