<%@page import="com.blueland.bpm.engine.config.model.*" %>
<%@page import="com.blueland.bpm.common.util.*" %>
<%@page import="java.util.*" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib tagdir="/WEB-INF/tags/simpletable" prefix="simpletable"%>
<%@ include file="/commons/taglibs.jsp" %>
<%
	String path = request.getContextPath();
	String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<%@ include file="/commons/meta.jsp" %>
	<base href="<%=basePath%>">
	<title>流程操作权限配置表管理</title>
	<link href="${ctx_js_plugins}/simpletable/simpletable.css" type="text/css" rel="stylesheet">
	<script type="text/javascript" src="${ctx_js_plugins}/simpletable/simpletable.js"></script>


	<script type="text/javascript" >
		$(document).ready(function() {
			// 分页需要依赖的初始化动作
			window.simpleTable = new SimpleTable('queryForm','${page.thisPageNumber}','${page.pageSize}','${pageRequest.sortColumns}');
		});

		function bindPower(myUrl){
			if (!hasOneChecked("opIds")) {
				alert('请选择要操作的对象!');
				return;
			}
			jQuery.ajax({
				url: myUrl,
				data: $('#queryForm',document).serialize(),
				type: "POST",
				success: function(resp)
				{
					alert(resp);
					art.dialog.opener.location.reload();
				}
			});
		}
	</script>
</head>
<body class="white-page">
<%@ include file="/commons/messages.jsp" %>
<form id="queryForm" name="queryForm" action="${ctx}/actInfo/activityOperatePower/list.do" method="get" style="display: inline;">
	<input name="activityDefId" id="activityDefId"	value="${activityInfoConfig.activityDefId}" type="hidden" />
	<input name="processDefId" id="processDefId" value="${activityInfoConfig.processDefId}" 	type="hidden" />
	<div class="main-container" id="main-container">
		<div class="panel panel-primary">
			<div class="panel-body">
				<div class="form-group well well-sm">

					<table border="0" cellspacing="0" cellpadding="0"
						   class="table-search">

						<tr>
							<td>名称：</td>
							<td>
								<input  class="input" value="${query.opName}" id="opName" name="opName" maxlength="50"  />
							</td>
							<td>类型：</td>
							<td>

								<select id="opType" name="opType">
									<option value="">--请选择--</option>
									<c:forEach items="${query.opTypeMap}" var="item">
										<option ${query.opType== item.key?"selected":""} value="${item.key }">${item.value}</option>
									</c:forEach>
								</select>
							</td>
						</tr>

						<tr>
							<td>范围：</td>
							<td>
								<select id="opScope" name="opScope">
									<option value="">--请选择--</option>
									<c:forEach items="${query.opScopeMap}" var="item">
										<option  ${query.opScope== item.key?"selected":""} value="${item.key }">${item.value}</option>
									</c:forEach>
								</select>
							</td>
							<td>是否默认绑定：</td>
							<td>
								<select id="opDefaultBind" name="opDefaultBind">
									<option value="">--请选择--</option>
									<c:forEach items="${query.opDefaultBindMap}" var="item">
										<option  ${query.opDefaultBind== item.key?"selected":""} value="${item.key }">${item.value}</option>
									</c:forEach>
								</select>
							</td>
						</tr>
						<tr>

							<td colspan="7">
								<button type="button" onclick="bindPower('${ctx}/activityInfo/addActOperatePower.do');" class="btn btn-xs btn-success">
									绑&nbsp;&nbsp;定<i class="ace-icon fa fa-chain bigger-110"></i></span>

								</button>
								<button type="submit" onclick="getReferenceForm(this).action='${ctx}/actInfo/activityOperatePower/list.do'" class="btn btn-xs btn-primary">
									<span class="icon_find">查&nbsp;&nbsp;询<i class="ace-icon fa fa-search bigger-110"></i></span>
								</button>

								<button type="submit" onclick="getReferenceForm(this).action='${ctx}/actInfo/activityOperatePower/create.do'" class="btn btn-xs btn-success">
									新&nbsp;&nbsp;增<i class="ace-icon fa fa-plus bigger-110"></i></span>
								</button>
								<button type="button" onclick="batchDelete('${ctx}/actInfo/activityOperatePower/delete.do','opIds',document.forms.queryForm)" class="btn btn-xs btn-danger">
									删&nbsp;&nbsp;除<i class="ace-icon fa fa-trash-o bigger-110"></i>
								</button>
								<button onclick="art.dialog.close();" type="button" class="btn btn-xs btn-primary">
									关&nbsp;&nbsp;闭<i class="ace-icon fa fa-times bigger-110"></i>
								</button>

							</td>
						</tr>
					</table>
				</div>
				<div class="row">
					<div class="col-xs-12">
						<div class="table-responsive">
							<table id="sample-table-1"
								   class="table table-striped table-bordered table-hover">
								<thead>
								<tr>
									<th style="width:25px;"><input type="checkbox" onclick="setAllCheckboxState('opIds',this.checked)"></th>
									<!-- 排序时为th增加sortColumn即可,new SimpleTable('sortColumns')会为tableHeader自动增加排序功能; -->
									<th width="100px" >名称</th>
									<th width="100px" >类型</th>
									<th width="100px" >范围</th>
									<!--  <th>控制处理器</th>-->
								</tr>
								</thead>
								<tbody>

								<c:forEach items="${page.result}" var="item" varStatus="status">

									<tr class="${status.count % 2 == 0 ? 'odd' : 'even'}">
										<td>
											<c:if test='${item.tenantId != null }'>
												<input type="checkbox" name="opIds" value="${item.opId}">&nbsp;
											</c:if>
										</td>
										<td>
											<c:if test="${item.tenantId == null }">
												<c:out value='${item.opName }'/>
											</c:if>
											<c:if test='${item.tenantId != null }'>
												<a href="${ctx}/actInfo/activityOperatePower/edit.do?opId=${item.opId}&">${item.opName}</a>&nbsp;
											</c:if>
										</td>
										<td><c:out value='${item.opTypeVal}'/>&nbsp;</td>
										<td><c:out value='${item.opScopeVal}'/>&nbsp;</td>
										<!-- <td><c:out value='${item.opClassPath}'/>&nbsp;</td>  -->

									</tr>

								</c:forEach>
								</tbody>
							</table>
							<simpletable:pageToolbar page="${page}">
							</simpletable:pageToolbar>
						</div>
						<!-- /.table-responsive -->
					</div>
					<!-- /span -->
				</div>
			</div>
		</div>

	</div>
</form>
</body>
</html>	
