<%@page import="com.blueland.bpm.engine.config.model.*" %>
<%@page import="com.blueland.bpm.common.util.*" %>
<%@page import="java.util.*" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib tagdir="/WEB-INF/tags/simpletable" prefix="simpletable"%>
<%@ include file="/commons/taglibs.jsp" %>
<%
String path = request.getContextPath();
String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<%@ include file="/commons/meta.jsp" %>
	<base href="<%=basePath%>">
	<title>环节规则管理</title>
	<link href="${ctx_js_plugins}/simpletable/simpletable.css" type="text/css" rel="stylesheet">
	<script type="text/javascript" src="${ctx_js_plugins}/simpletable/simpletable.js"></script>


	<script type="text/javascript" >
		$(document).ready(function() {
			// 分页需要依赖的初始化动作
			window.simpleTable = new SimpleTable('queryForm',${page.thisPageNumber},${page.pageSize},'${pageRequest.sortColumns}');
		});
		function editActivityRule(ruleId){
			parent.editActivityRule(ruleId);
		}
	</script>
</head>
<body>
	<%@ include file="/commons/messages.jsp" %>
	<form id="queryForm" name="queryForm" action="${ctx}/actInfo/activityRule/listMgr.do" method="get" style="display: inline;">
			<input  type="hidden" name="procDefId" value="${query.procDefId}" id="procDefId"/>
			<input  type="hidden" name="sourceActId" value="${query.sourceActId}" id="sourceActId"/>
			<input  type="hidden" name="targetActId" value="${query.targetActId}" id="targetActId"/>
			<input  type="hidden" name="ruleType" value="${activityRule.ruleType}" id="ruleType"/>	
			<div class="main-container" id="main-container">
			<div class="panel panel-primary">
			<div class="panel-heading">
			</div>
			<div class="panel-body">
				<div class="row">
					<div class="col-xs-12">
						<div class="table-responsive">
							<div style="width: 100%;overflow: auto;">
							<table style=" width: inherit;max-width: 600%;table-layout: fixed;" id="sample-table-1"
								class="table table-striped table-bordered table-hover">
								<thead>
				  <tr>
					<!-- 排序时为th增加sortColumn即可,new SimpleTable('sortColumns')会为tableHeader自动增加排序功能; -->
					<th  sortColumn="ruleName">流程定义</th>
					<th  sortColumn="ruleName">环节名称</th>
					<th  sortColumn="ruleName">规则名称</th>
					<th  sortColumn="ruleScript">规则脚本</th>
					<th  sortColumn="ruleRemark">规则描述</th>
					<th style="width: 90px">操作</th>
				  </tr>
				  
</thead>
<tbody>
				
				  <c:forEach items="${page.result}" var="item" varStatus="status">
					  <tr class="${status.count % 2 == 0 ? 'odd' : 'even'}">
						<td class="td" >
							<a href="javascript:void(0);"
							   onclick="showDiaLog('${ctx}/actInfo/activityRule/editMgr.do?ruleId=${item.ruleId}','脚本规则配置','900px','600px')">
									${item.procDefId}
							</a>
						</td>
						<td class="td" title="${item.sourceActId}">${item.sourceActId}-> ${item.targetActId}</td>
						<td class="td" title="${item.ruleName}">${item.ruleName}</td>
						<td class="td" title="${item.ruleScript}">${item.ruleScript}&nbsp;</td>
						<td class="td" title="${item.ruleRemark}"> ${item.ruleRemark}&nbsp;</td>
						<td>
							<a href="${ctx}/actInfo/activityRule/deleteMgr.do?ruleId=${item.ruleId}&">删除</a>
						</td>
					  </tr>
		  	 	 </c:forEach>
				</tbody>
				</table>
							</div>
				<simpletable:pageToolbar page="${page}">
				</simpletable:pageToolbar>
			</div>
						<!-- /.table-responsive -->
					</div>
					<!-- /span -->
				</div>
			</div>
		</div>

	</div>
		</form>
</body>
</html>	
