<%@page import="com.blueland.bpm.log.model.*" %>
<%@page import="com.blueland.bpm.common.page.*" %>
<%@page import="com.blueland.bpm.common.util.*"%>
<%@page import="java.util.*" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib tagdir="/WEB-INF/tags/simpletable" prefix="simpletable"%>
<%@ include file="/commons/taglibs.jsp" %>
<%
String path = request.getContextPath();
String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<%@ include file="/commons/meta.jsp" %>
	<base href="<%=basePath%>">
	<title>流程运行日志管理</title>
	<link href="${ctx_js_plugins}/simpletable/simpletable.css" type="text/css" rel="stylesheet">
	<script type="text/javascript" src="${ctx_js_plugins}/simpletable/simpletable.js"></script>

	<script type="text/javascript" >
		$(document).ready(function() {
			// 分页需要依赖的初始化动作
			window.simpleTable = new SimpleTable('queryForm',${page.thisPageNumber},${page.pageSize},'${pageRequest.sortColumns}');
		});
	</script>
</head>
<body>
	<%@ include file="/commons/messages.jsp" %>
	<form id="queryForm" name="queryForm" action="${ctx}/logSysRuntime/list.do" method="get" style="display: inline;">
	<div class="main-container" id="main-container">
		<div class="panel panel-primary">
			<div class="panel-heading">
				<h8>流程运行日志</h8>
			</div>
			<div class="panel-body">
				<div class="form-group well well-sm">
				<table border="0" cellspacing="0" cellpadding="0"
					class="table-search">
					<tr>	
						<td>日志级别</td>		
						<td>
							<input  class="input" value="${query.logLevel}" id="logLevel" name="logLevel" maxlength="20"  />
						</td>
						<td>记录时间：</td>		
						<td>
							<input  class="input"  value="${query.logCreateTimeString}" onclick="WdatePicker({dateFmt:'<%=LogSysRuntime.FORMAT_LOG_CREATE_TIME%>'})" id="logCreateTimeString" name="logCreateTimeString"   />
						</td>
						<td>所属模块：</td>		
						<td>
							<input  class="input" value="${query.appModuleId}" id="appModuleId" name="appModuleId" maxlength="50"  />
						</td>
						<td>
							 <button type="submit" class="btn btn-xs btn-primary" onclick="getReferenceForm(this).action='${ctx}/logSysRuntime/list.do'">
									<span class="icon_find">查询</span>
							</button>
							
						</td>
					</tr>	
					
				</table>
			</div>
			<div class="row">
					<div class="col-xs-12">
						<div class="table-responsive">
							<table id="sample-table-1"
								class="table table-striped table-bordered table-hover">
								<thead>
			
				  <tr>
					<!-- 排序时为th增加sortColumn即可,new SimpleTable('sortColumns')会为tableHeader自动增加排序功能; -->
					<th sortColumn="appModuleId" >所属模块</th>
					<th sortColumn="logLevel" >日志级别</th>
					<th sortColumn="logContent" >日志内容</th>
					<th sortColumn="logCreateTime" >记录时间</th>
				  </tr>
	</thead>
<tbody>
		  
				   <c:forEach items="${page.result}" var="item" varStatus="status">
		  	  
			  <tr class="${status.count % 2 == 0 ? 'odd' : 'even'}">
				
				<td>${item.appModuleName}&nbsp;</td>
				<td>${item.logLevel}&nbsp;</td>
				<td>
				<a href="${ctx}/logSysRuntime/show.do?logId=${item.logId}">
				${item.logContent}
				</a>&nbsp;
				</td>
				<td>${item.logCreateTimeString}&nbsp;</td>
				
			  </tr>
			  
		  	  </c:forEach>
				</tbody>
				</table>
				<simpletable:pageToolbar page="${page}">
				</simpletable:pageToolbar>
			</div>
						<!-- /.table-responsive -->
					</div>
					<!-- /span -->
				</div>
			</div>
		</div>

		</form>
</body>
</html>	
