<%@page import="org.activiti.engine.repository.ProcessDefinition"%>
<%@page import="org.activiti.bpmn.model.*"%>
<%@page import="com.blueland.bpm.engine.config.model.*"%>
<%@page import="com.blueland.bpm.common.page.*"%>
<%@page import="com.blueland.bpm.common.util.*"%>
<%@page import="java.util.*"%>
<%@ page contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib tagdir="/WEB-INF/tags/simpletable" prefix="simpletable"%>
<%@ include file="/commons/taglibs.jsp"%>
<%
	String path = request.getContextPath();
	String basePath = request.getScheme() + "://" + request.getServerName() + ":" + request.getServerPort()
			+ path + "/";
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<%@ include file="/commons/meta.jsp"%>
<base href="<%=basePath%>">
<title>流程环节列表</title>
<link href="${ctx_js_plugins}/simpletable/simpletable.css"
	type="text/css" rel="stylesheet">
<script type="text/javascript"
	src="${ctx_js_plugins}/simpletable/simpletable.js"></script>
<link href="${ctx}/resource/js/plugins/loadmask/jquery.loadmask.css"
	rel="stylesheet" type="text/css" />
<script type='text/javascript'
	src='${ctx}/resource/js/plugins/loadmask/jquery.loadmask.js'></script>

<script type="text/javascript">
	$(document).ready(function() {
		$("#submitButton").click(function(){
			var retValus='';
			var retNames='';
			$('input[name="resources"]:checked').each(function(i){ 
				if(i>0){
					retValus += ",";
					retNames += ",";
				}
				var trId = $(this).val();
				retValus += $(this).val();
				retNames += $('#'+trId).attr("dataName");
			});
			if(retValus == null || retValus == ''){
				alert("请选择节点");
				return false;
			}
			art.dialog.opener.createActConfig(retValus,retNames);
			art.dialog.close();
		});
	});
	
</script>
</head>
<body id="content">
	<form id="queryForm" name="queryForm"
		action="${ctx}/actInfo/setActResource/list.do" method="post"
		style="display: inline;">
		<div class="main-container" id="main-container">
			<div class="panel panel-primary">
				<div class="panel-body" style="padding: 3px;">
					<div class="row">
						<div class="col-xs-12">
							<div class="table-responsive">
								<table id="sample-table-1"
									class="table table-striped table-bordered table-hover">
									<thead>
										<tr>
											<th style="width: 25px;"><input type="checkbox"
												onclick="setAllCheckboxState('resources',this.checked)"></th>
											<th>节点ID</th>
											<th>节点名称</th>
										</tr>
									</thead>
									<tbody>

										<c:forEach items="${actInfoConfigs}" var="item"
											varStatus="status">
											<tr class="${status.count % 2 == 0 ? 'odd' : 'even'}" id="${item.activityDefId}" dataName="${item.activityDefName}">
												<td><input type="checkbox" name="resources"
													value="${item.activityDefId}"></td>
												<td>${item.activityDefId}</td>
												<td>${item.activityDefName}&nbsp;</td>
											</tr>
										</c:forEach>

									</tbody>
								</table>
								<div class="col-md-offset-1 col-md-9" style="text-align: center;">
									<button type="button" class="btn btn-sm btn-primary"
										id="submitButton" />
										确定
										<i class="ace-icon fa fa-save bigger-110"></i>
									</button>
								</div>
							</div>
							<!-- /.table-responsive -->
						</div>
						<!-- /span -->
					</div>
				</div>
			</div>

		</div>
	</form>
</body>
</html>