<%@page import="com.blueland.bpm.engine.config.model.*" %>
<%@page import="com.blueland.bpm.common.page.*" %>
<%@page import="java.util.*" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib tagdir="/WEB-INF/tags/simpletable" prefix="simpletable"%>
<%@ include file="/commons/taglibs.jsp" %>
<%
String path = request.getContextPath();
String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<%@ include file="/commons/meta.jsp" %>
	<base href="<%=basePath%>">
	<title>资源管理列表</title>
	<link href="${ctx}/resource/js/plugins/loadmask/jquery.loadmask.css" rel="stylesheet" type="text/css" />
	<script type='text/javascript' src='${ctx}/resource/js/plugins/loadmask/jquery.loadmask.js'></script> 


	<script type="text/javascript" >	
		function query(){
			var resourceId = document.getElementById("resourceId").value;
			var resourceType = document.getElementById("resourceType").value;
			if(resourceId == null || resourceId == ""){
				alert("请输入资源编码！");
				return false;
			}
			if(resourceType == ""){
				alert("请选择资源类型！");
				return false;
			}
			setMask("main-container");				
			document.getElementById("queryForm").submit();
		}	
	</script>
	
</head>
<body>
	<%@ include file="/commons/messages.jsp"%>
	<form id="queryForm" name="queryForm"
		action="${ctx}/searchProcessResource/list.do" method="get"
		style="display: inline;">
		<div class="main-container" id="main-container">
			<div class="panel panel-primary">
				<div class="panel-heading">
					流程环节资源列表
				</div>
				<div class="panel-body" id="panel-body" style="padding:3px;">
					<div class="well well-sm" style="margin-bottom: 2px;">
						<table border="0" cellspacing="0" cellpadding="0" class="table-search">
						<tr>
						<c:if test="${ebpmAdmin}">
							<td>应用ID</td>
							<td>
								<input  class="input" value="${searchProcessResource.applicationId}" preValu="${searchProcessResource.applicationId}"
								id="applicationId" name="applicationId"/>
							</td>
						</c:if>
							<td>资源类型：</td>		
							<td>
								<select id="resourceType" name="resourceType" preValu="${searchProcessResource.resourceType}">
						    		<option value="">请选择</option>
						    		<option value="role" ${searchProcessResource.resourceType=="role"?"selected":""}>角色</option>
						    		<option value="org" ${searchProcessResource.resourceType=="org"?"selected":""}>组织</option>
						    		<option value="user" ${searchProcessResource.resourceType=="user"?"selected":""}>人员</option>
					    		</select>
							</td>
							<td>资源编码：</td>		
							<td>
								<input  class="input" value="${searchProcessResource.resourceId}" preValu="${searchProcessResource.resourceId}"
								id="resourceId" name="resourceId"/>
							</td>
							<td>
								<!-- <input value="查询"  type="button" class="btn btn-xs btn-primary" onclick="query()"/> -->
								<button type="button" id="process" onclick="query();" class="btn btn-xs btn-primary">查&nbsp;&nbsp;询
										<i class="ace-icon fa fa-search bigger-110"></i></button>
								
							</td>
						</tr>						
					</table>
				</div>
			
			<div class="row">
				<div class="col-xs-12">
					<div class="table-responsive">
						<table id="sample-table-1" class="table table-striped table-bordered table-hover">
					<thead>
					  <tr>
<!-- 						<th></th> -->
						<!-- 排序时为th增加sortColumn即可,new SimpleTable('sortColumns')会为tableHeader自动增加排序功能; -->
						<th sortColumn="AppName" width="300px">系统名称</th>
						<th sortColumn="procDefName" >流程名称</th>
						<th sortColumn="activityName" >环节名称</th>
					  </tr>
					</thead>
				<tbody>
		  
		   		<c:forEach items="${inProcess}" var="item" varStatus="status">
		   			<tr>
						<td>${item.tenantId}&nbsp;</td>
						<td>${item.procDefName}&nbsp;</td>
						<td><a id="activityName" href="javascript:void(0)" 
							onclick="showDiaLog('${ctx}/actInfo/setActResource/list.do?actId=${item.activityId}&procDefId=${item.procDefId}',
							'环节人员设置&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;当前环节->资源管理列表',dialogWidth='980px',dialogHeight='600px')">${item.activityName}&nbsp;</a></td>	
					</tr>				
		  	  </c:forEach>
				</tbody>
				</table>
									
			</div>
					</div>
				</div>
			</div>
		</div>
		</div>
		</form>
</body>
</html>	
