<%@page import="com.blueland.bpm.engine.config.model.*" %>
<%@page import="com.blueland.bpm.common.util.*" %>
<%@page import="java.util.*" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib tagdir="/WEB-INF/tags/simpletable" prefix="simpletable"%>
<%@ include file="/commons/taglibs.jsp" %>
<%
	String path = request.getContextPath();
	String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<%@ include file="/commons/meta.jsp" %>
	<base href="<%=basePath%>">
	<title>系统全局分类表管理</title>
	<link href="${ctx_js_plugins}/simpletable/simpletable.css" type="text/css" rel="stylesheet">
	<script type="text/javascript" src="${ctx_js_plugins}/simpletable/simpletable.js"></script>

	<script type="text/javascript" >
		$(document).ready(function() {
			// 分页需要依赖的初始化动作
			window.simpleTable = new SimpleTable('queryForm',${page.thisPageNumber},${page.pageSize},'${pageRequest.sortColumns}');
		});

	</script>
</head>
&lt;link href=&quot;${ctx_js_plugins}/simpletable/simpletable.css&quot; type=&quot;text/css&quot; rel=&quot;stylesheet&quot;&gt;
&lt;script type=&quot;text/javascript&quot; src=&quot;${ctx_js_plugins}/simpletable/simpletable.js&quot;&gt;&lt;/script&gt;
<body>
<%@ include file="/commons/messages.jsp" %>
<form id="queryForm" name="queryForm" action="${ctx}/sysGlType/list.do" method="get" style="display: inline;">
	<div class="position">
		<div class="center">
			<div class="left">
				<div class="right">
					<span>当前位置：系统全局分类表管理</span>
				</div>
			</div>
		</div>
	</div>

	<div class="box2" panelTitle="功能面板" roller="false">
		<table>
			<tr>
				<td>分类名称：</td>
				<td>
					<input  value="${query.typeName}" id="typeName" name="typeName" maxlength="50"  />
				</td>
				<td>分类父ID：</td>
				<td>
					<input  value="${query.typeParentId}" id="typeParentId" name="typeParentId" maxlength="50"  />
				</td>
				<td>分类排序号：</td>
				<td>
					<input  value="${query.typeSort}" id="typeSort" name="typeSort" maxlength="22"  />
				</td>
				<td>应用分类标示：</td>
				<td>
					<input  value="${query.appKey}" id="appKey" name="appKey" maxlength="50"  />
				</td>
			</tr>
			<tr>
				<td>备注：</td>
				<td>
					<input  value="${query.typeRemark}" id="typeRemark" name="typeRemark" maxlength="500"  />
				</td>
			</tr>
			<tr>
				<td colspan="7">
					<button type="submit">
						<span class="icon_find">查询</span>
					</button>
					<button type="button" onclick="showDiaLog('${ctx}/sysGlType/create.do', '新增流程分类', '600px', '600px');">
						<span class="icon_add">新增</span>
					</button>
					<button type="button" onclick="batchDelete('${ctx}/sysGlType/delete.do','items',document.forms.queryForm)">
						<span class="icon_delete">删除</span>
					</button>
				</td>
			</tr>
		</table>
	</div>
	<div id="scrollContent" class="border_gray">
		<table class="tableStyle">
			<tr>
				<th style="width:25px;"><input type="checkbox" onclick="setAllCheckboxState('items',this.checked)"></th>
				<!-- 排序时为th增加sortColumn即可,new SimpleTable('sortColumns')会为tableHeader自动增加排序功能; -->
				<th sortColumn="typeName" >分类名称</th>
				<th sortColumn="typeParentId" >分类父ID</th>
				<th sortColumn="typeSort" >分类排序号</th>
				<th sortColumn="appKey" >应用分类标示</th>
				<th sortColumn="typeRemark" >备注</th>

				<th>操作</th>
			</tr>


			<c:forEach items="${page.result}" var="item" varStatus="status">

				<tr class="${status.count % 2 == 0 ? 'odd' : 'even'}">

					<td><input type="checkbox" name="items" value="typeId=${item.typeId}&"></td>

					<td>${item.typeName}&nbsp;</td>
					<td>${item.typeParentId}&nbsp;</td>
					<td>${item.typeSort}&nbsp;</td>
					<td>${item.appKey}&nbsp;</td>
					<td>${item.typeRemark}&nbsp;</td>
					<td>

						<a href="javascript:void(0);" onclick="showDiaLog('${ctx}/sysGlType/edit.do?typeId=${item.typeId}', '修改流程分类', '600px', '600px');">修改</a>
					</td>
				</tr>

			</c:forEach>
		</table>
		<simpletable:pageToolbar page="${page}">
		</simpletable:pageToolbar>
	</div>
</form>
</body>
</html>	
