
<%@ page contentType="text/html;charset=UTF-8"%>
<%@page import="com.blueland.bpm.engine.config.model.*"%>
<%@ include file="/commons/taglibs.jsp"%>
<%
	String path = request.getContextPath();
	String basePath = request.getScheme() + "://"
			+ request.getServerName() + ":" + request.getServerPort()
			+ path + "/";
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<%@ include file="/commons/meta.jsp"%>
<base href="<%=basePath%>">
<link rel="stylesheet" href="${ctx}/resource/js/plugins/codemirror/codemirror.css">
<link rel="stylesheet" href="${ctx}/resource/js/plugins/codemirror/eclipse.css">
<style>
.CodeMirror {
  /* Set height, width, borders, and global font properties here */
  font-family: monospace;
  height: 180px;
}
</style>
<script src="${ctx}/resource/js/plugins/codemirror/codemirror.js"></script>
<script src="${ctx}/resource/js/plugins/codemirror/clike.js"></script>
<script>
	var javaEditor;
	$(document).ready(function() {
		 javaEditor = CodeMirror.fromTextArea(document.getElementById("scriptContent"), {
			  lineNumbers: true,
			  matchBrackets: true,
			  //indentWithTabs: true,
			 // styleActiveLine: true,
			  theme:"eclipse",
			 // smartIndent: true,
			 // autofocus: true,
			  mode: "text/x-java"
		});
		javaEditor.setValue("${sysScript.scriptContent}");
		
	});
	function validate(){
		var ruleScript=javaEditor.getValue();;
		if(ruleScript==""){
			alert("脚本内容不允许为空,请您重新输入！");
			return ;
		}
		var url="${ctx}/actInfo/activityRule/validate.do?ruleScript=" + ruleScript;
		showDiaLog(url, '验证脚本', '600px', '300px');
	}
</script>
<title>脚本编辑</title>
</head>
<body>
	<form action="${ctx}/sysScript/update.do" method="post">
		<div class="main-container" id="main-container">
			<div class="panel panel-primary">
				<div class="panel-heading">修改全局脚本</div>
				<div class="panel-body">
					<table class='table table-bordered' border="0" cellspacing="0"
						cellpadding="0" id="myTable">
							<!-- 存放隐藏域的区域 -->
							<input type="hidden" id="scriptId" name="scriptId"
								value="${sysScript.scriptId}" />
							<!-- 存放表单的区域 -->
							<tr>
								<td width="10%">脚本名称<font color="red">*</font>：
								</td>
								<td><input style="width: 400px;" type="text"
									name="scriptName" value="${sysScript.scriptName}"
									id="scriptName" /></td>
							</tr>
							<tr>
								<td>脚本排序号：</td>
								<td><input type="text" name="scriptSort"
									value="${sysScript.scriptSort}" id="scriptSort" /></td>
							</tr>
							<tr>
								<td>脚本分类<font color="red">*</font>：
								</td>
								<td><select name="scriptType" id="scriptType">
										<c:forEach items="${sysScript.scriptTypeMap}" var="item">
											<option ${sysScript.scriptType==item.key?"selected":""}
												value="${item.key }">${item.value}</option>
										</c:forEach>
								</select></td>
							</tr>
							<tr>
								<td>脚本内容<font color="red">*</font>：
								</td>
								<td><a href="javascript:void(0);" onclick="validate();">验证脚本</a>
									<br /> <textarea name="scriptContent" id="scriptContent"></textarea>
									<br />这个脚本需要使用返回语句(return)返回布尔值，返回true流程将跳转到指定的节点。</td>
							</tr>
							<tr>
								<td>备注：</td>
								<td><textarea style="width: 600px; height: 80px"
										name="scriptRemark" id="scriptRemark">${sysScript.scriptRemark}</textarea></td>
							</tr>
						</table>
						<div class="col-md-offset-1 col-md-9" style="text-align: center;">
							<button id="submitButton" class="btn btn-sm btn-primary"
								name="submitButton" type="button"
								onclick="javascript:getReferenceForm(this).submit();">
								<span class="icon_save">保存</span>
								<i class="ace-icon fa fa-save bigger-110"></i>
							</button>
							<button type="button" class="btn btn-sm btn-primary"
								onclick="window.location='${ctx}/sysScript/list.do'">
								<span class="icon_back">返回</span>
								<i class="ace-icon fa fa-undo icon-on-right bigger-110"></i>
							</button>

						</div>
						</div>
						</div>
						</div>
	</form>
</body>
</html>