<%@page import="org.activiti.engine.history.HistoricProcessInstance"%>
<%@page
	import="com.blueland.bpm.common.page.*,com.blueland.bpm.identity.model.User,org.activiti.engine.history.HistoricProcessInstance,org.activiti.engine.history.HistoricTaskInstance,org.activiti.engine.task.Comment"%>
<%@page
	import="com.blueland.bpm.common.util.*,com.blueland.bpm.engine.core.model.*"%>
<%@page import="java.util.*"%>
<%@ page contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib tagdir="/WEB-INF/tags/simpletable" prefix="simpletable"%>
<%@ include file="/commons/taglibs.jsp"%>
<%
	String path = request.getContextPath();
	String basePath = request.getScheme() + "://"
			+ request.getServerName() + ":" + request.getServerPort()
			+ path + "/";
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" style="overflow-y: auto;overflow-x auto;">
<head>

<%@ include file="/commons/trace-meta.jsp"%>
<title>流程日志</title>
</head>

<div class="pd5" style="height: 367px">
	<div class="log-inner">
		<%
			Map<String, Object> hisTaskLog = (Map) request
					.getAttribute("hisTaskLog");
			HistoricProcessInstance historicProcessInstance = (HistoricProcessInstance) hisTaskLog
					.get("curProcessInstance");
			String finishStr = "未结束";
			if (historicProcessInstance != null
					&& historicProcessInstance.getEndTime() != null) {
				finishStr = "已结束";
			}
			List<ProcessLogModel> processDetailLogs = (List<ProcessLogModel>) hisTaskLog
					.get("processDetailLogs");
			for (ProcessLogModel processDetailLog : processDetailLogs) {
				HistoricTaskInstance historicTaskInstance = processDetailLog
						.getHistoricTaskInstance();
				Comment comment = processDetailLog.getComment();
		%>
		<div class="log-text">
			<em><%=historicTaskInstance.getPreTaskDefName()%></em> &nbsp;由&nbsp;<%=processDetailLog.getSendUserName()%>&nbsp;
			于&nbsp;<%=DateUtil.convertDateToString("yyyy-MM-dd HH:mm:ss",
						historicTaskInstance.getStartTime())%>
			&nbsp;送&nbsp;<%=historicTaskInstance.getName()%>
			<%
				if (processDetailLog.getReiceiveUserName() != null
							|| processDetailLog.getReceiveOrgName() != null) {
			%>

			（
			<%=processDetailLog.getReceiveOrgName()%>
			<%=processDetailLog.getReiceiveUserName()%>）
			<%
				}
			%>
			<br>
			<%
				if (comment != null) {
			%>
			签署意见：<%=comment.getFullMessage() != null ? comment
							.getFullMessage() : ""%>
			<%
				}
			%>
		</div>
		<div class="line-dashed"></div>
		<%
			}
		%>
		<div class="log-text">
			流程状态：<%=finishStr%></div>


	</div>
</div>

</body>
</html>
