<%@page import="org.activiti.engine.repository.ProcessDefinition" %>
<%@page import="org.activiti.engine.impl.persistence.entity.*" %>
<%@page import="org.activiti.engine.repository.Deployment" %>
<%@page import="com.blueland.bpm.engine.config.model.*" %>
<%@page import="com.blueland.bpm.common.page.*" %>
<%@page import="com.blueland.bpm.common.util.*"%>
<%@page import="java.util.*" %>
<%@ page contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib tagdir="/WEB-INF/tags/simpletable" prefix="simpletable"%>
<%@ include file="/commons/taglibs.jsp"%>
<%
	String path = request.getContextPath();
	String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<%@ include file="/commons/meta.jsp"%>
		<base href="<%=basePath%>">
		<title>组织效率明细</title>
		<script language="javascript" type="text/javascript" src="${ctx}/resource/js/plugins/My97DatePicker/WdatePicker.js"></script>
		<link href="${ctx}/resource/js/plugins/loadmask/jquery.loadmask.css" rel="stylesheet" type="text/css" />
		<script type='text/javascript' src='${ctx}/resource/js/plugins/loadmask/jquery.loadmask.js'></script>
		<link href="${ctx_js_plugins}/simpletable/simpletable.css" type="text/css" rel="stylesheet">
		<script type="text/javascript" src="${ctx_js_plugins}/simpletable/simpletable.js"></script>
		<script type="text/javascript" >
			$(document).ready(function() {
				
			});
			function openSysDialog(ctx){
			    var height1 = window.parent.document.documentElement.clientHeight;
			    var height = (parseInt(height1)-500)+"px";
				showDiaLog(ctx,'组织效率','1400px',height);
			}
		</script>
	</head>
	<body>
		<%@ include file="/commons/messages.jsp"%>
		<form id="queryForm" name="queryForm" method="post" style="display: inline;">
			<div class="main-container" id="can-container">
				<div class="panel panel-primary">
					<div class="panel-heading">
						<h8>组织效率：${params.appName }</h8>
					</div>
					<div class="panel-body" id="panel-body" style="padding:3px;">
						<div class="row">
							<div class="col-xs-12">
								<div class="table-responsive">
									<table id="sample-table-1" class="table table-striped table-bordered table-hover">
										<thead>
											<tr>
												<th width="200px">组织名称</th>
												<th width="200px">经办次数</th>
												<th width="70px">平均耗时</th>
											</tr>
										</thead>
										<tbody>
											<c:forEach items="${resultList}" var="item" varStatus="status">
												<tr class="${status.count % 2 == 0 ? 'odd' : 'even'}" id="procDefId${status.count}" >
													<td>
														<a href="javascript:void(0);" onclick="openSysDialog('${ctx}/workflow/getProInstEfficiencyByOrg.do?appId=${params.appId }&orgId=${item.ORGID }')">
															${item.ORGNAME }(${item.ORGID })
														</a>
													</td>
													<td>${item.PROINSTNUM }</td>
													<td><span class="label label-success">${item.EFFICIENCY }</span></td>
												</tr>		  
											</c:forEach>
										</tbody>
									</table>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</form>
	</body>
</html>

