import MagicPropertiesProvider from './MagicPropertiesProvider';
import CustomPalette from './CustomPalette';
import CustomContextPadProvider from "./CustomContextPad";
import ReplaceMenuProvider from "./popup-menu/ReplaceMenuProvider";
import ColorRenderer from '../../../bpmn-js/colors/ColorRenderer';

export default {
  __init__: [ 'propertiesProvider' , 'paletteProvider','contextPadProvider','replaceMenuProvider','colorRenderer'],
  propertiesProvider: [ 'type', MagicPropertiesProvider ],
  contextPadProvider: [ 'type', CustomContextPadProvider ],
  paletteProvider: [ 'type', CustomPalette ],
  replaceMenuProvider: [ 'type', ReplaceMenuProvider ],
  colorRenderer: [ 'type', ColorRenderer ],
};
